Changeset 91 for ThirdParty/ASL/trunk


Ignore:
Timestamp:
Jul 10, 2006 2:48:14 PM (13 years ago)
Author:
andreasw
Message:

updated according to changes in BuildTools?

Location:
ThirdParty/ASL/trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/Makefile.in

    r76 r91  
    101101CDEFS = @CDEFS@
    102102CFLAGS = @CFLAGS@
    103 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    104 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    105103CPPFLAGS = @CPPFLAGS@
    106104CYGPATH_W = @CYGPATH_W@
     105DBG_CFLAGS = @DBG_CFLAGS@
    107106DEFS = @DEFS@
    108107DEPDIR = @DEPDIR@
     
    134133MSVC_COMPILE_TRUE = @MSVC_COMPILE_TRUE@
    135134OBJEXT = @OBJEXT@
     135OPT_CFLAGS = @OPT_CFLAGS@
    136136PACKAGE = @PACKAGE@
    137137PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  • ThirdParty/ASL/trunk/configure

    r88 r91  
    282282ac_unique_file="solvers/asl.h"
    283283ac_default_prefix=`pwd`
    284 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os COIN_DEBUG_TRUE COIN_DEBUG_FALSE EGREP LN_S CDEFS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT ADD_CFLAGS MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE AMPLSOLVER_A MSVC_COMPILE_TRUE MSVC_COMPILE_FALSE ASLMAKEFLAGS ASLMAKEFILECMDS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     284ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE build build_cpu build_vendor build_os EGREP LN_S CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE AMPLSOLVER_A MSVC_COMPILE_TRUE MSVC_COMPILE_FALSE ASLMAKEFLAGS ASLMAKEFILECMDS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    285285ac_subst_files=''
    286286
     
    727727ac_cv_env_CDEFS_set=${CDEFS+set}
    728728ac_cv_env_CDEFS_value=$CDEFS
     729ac_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
     730ac_env_ADD_CFLAGS_value=$ADD_CFLAGS
     731ac_cv_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
     732ac_cv_env_ADD_CFLAGS_value=$ADD_CFLAGS
     733ac_env_DBG_CFLAGS_set=${DBG_CFLAGS+set}
     734ac_env_DBG_CFLAGS_value=$DBG_CFLAGS
     735ac_cv_env_DBG_CFLAGS_set=${DBG_CFLAGS+set}
     736ac_cv_env_DBG_CFLAGS_value=$DBG_CFLAGS
     737ac_env_OPT_CFLAGS_set=${OPT_CFLAGS+set}
     738ac_env_OPT_CFLAGS_value=$OPT_CFLAGS
     739ac_cv_env_OPT_CFLAGS_set=${OPT_CFLAGS+set}
     740ac_cv_env_OPT_CFLAGS_value=$OPT_CFLAGS
    729741ac_env_CC_set=${CC+set}
    730742ac_env_CC_value=$CC
     
    743755ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
    744756ac_cv_env_CPPFLAGS_value=$CPPFLAGS
    745 ac_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
    746 ac_env_ADD_CFLAGS_value=$ADD_CFLAGS
    747 ac_cv_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
    748 ac_cv_env_ADD_CFLAGS_value=$ADD_CFLAGS
    749757ac_env_MPICC_set=${MPICC+set}
    750758ac_env_MPICC_value=$MPICC
     
    835843  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    836844  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    837   --enable-debug          compile with debug options and runtime tests
     845  --enable-debug          compile all projects with debug options tests
     846  --enable-debug-asl compile this project (ASL) with debug options
    838847  --disable-dependency-tracking  speeds up one-time build
    839848  --enable-dependency-tracking   do not reject slow dependency extractors
     
    841850                          (and sometimes confusing) to the casual installer
    842851
     852Optional Packages:
     853  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
     854  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     855  --with-asl-verbosity specify the debug verbosity level for project ASL
     856  --with-asl-checklevel specify the sanity check level for project ASL
     857
    843858Some influential environment variables:
    844859  CDEFS       Additional -D flags to be used when compiling C code.
     860  ADD_CFLAGS  Additional C compiler options
     861  DBG_CFLAGS  Debug C compiler options
     862  OPT_CFLAGS  Optimize C compiler options
    845863  CC          C compiler command
    846864  CFLAGS      C compiler flags
     
    849867  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
    850868              headers in a nonstandard directory <include dir>
    851   ADD_CFLAGS  Additional C compiler options
    852869  MPICC       C MPI Compiler
    853870  ASLMAKEFLAGS
     
    14211438  enableval="$enable_debug"
    14221439  case "${enableval}" in
    1423                    yes) coin_debug_compile=true
    1424 
    1425 cat >>confdefs.h <<\_ACEOF
    1426 #define COIN_DEBUG 1
    1427 _ACEOF
    1428 
    1429                      enable_shared=no
    1430                      ;;
    1431                    no)  coin_debug_compile=false
    1432                      ;;
    1433                     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
     1440   yes) coin_debug_compile=true
     1441        enable_shared=no
     1442        ;;
     1443   no)  coin_debug_compile=false
     1444        ;;
     1445   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
    14341446echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
    14351447   { (exit 1); exit 1; }; }
    1436                      ;;
    1437                  esac
     1448        ;;
     1449esac
    14381450else
    14391451  coin_debug_compile=false
    14401452fi;
     1453
     1454# Check whether --enable-debug-asl or --disable-debug-asl was given.
     1455if test "${enable_debug_asl+set}" = set; then
     1456  enableval="$enable_debug_asl"
     1457  case "${enableval}" in
     1458    yes) coin_debug_compile=true
     1459         enable_shared=no
     1460         ;;
     1461    no)  coin_debug_compile=false
     1462         ;;
     1463    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-asl" >&5
     1464echo "$as_me: error: bad value ${enableval} for --enable-debug-asl" >&2;}
     1465   { (exit 1); exit 1; }; }
     1466         ;;
     1467 esac
     1468else
     1469  :
     1470fi;
     1471
     1472 # m4_ifvaln([ASL],
    14411473
    14421474if test $coin_debug_compile = true; then
     
    14491481
    14501482
    1451 
    1452 if test "$coin_debug_compile" = true; then
    1453   COIN_DEBUG_TRUE=
    1454   COIN_DEBUG_FALSE='#'
    1455 else
    1456   COIN_DEBUG_TRUE='#'
    1457   COIN_DEBUG_FALSE=
    1458 fi
     1483# Check whether --with-asl-verbosity or --without-asl-verbosity was given.
     1484if test "${with_asl_verbosity+set}" = set; then
     1485  withval="$with_asl_verbosity"
     1486  coin_asl_verbosity=$withval
     1487else
     1488  coin_asl_verbosity=0
     1489fi;
     1490
     1491cat >>confdefs.h <<_ACEOF
     1492#define COIN_ASL_VERBOSITY $coin_asl_verbosity
     1493_ACEOF
     1494
     1495
     1496
     1497# Check whether --with-asl-checklevel or --without-asl-checklevel was given.
     1498if test "${with_asl_checklevel+set}" = set; then
     1499  withval="$with_asl_checklevel"
     1500  coin_asl_checklevel=$withval
     1501else
     1502  coin_asl_checklevel=0
     1503fi;
     1504
     1505cat >>confdefs.h <<_ACEOF
     1506#define COIN_ASL_CHECKLEVEL $coin_asl_checklevel
     1507_ACEOF
     1508
     1509
     1510# We use the following variable to have a string with the upper case
     1511# version of the project name
     1512COIN_PRJCT=ASL
     1513
     1514
     1515 # m4_ifvaln([ASL],
    14591516
    14601517
     
    15221579
    15231580
     1581
     1582
     1583
    15241584coin_has_cc=yes
    15251585
     
    15291589             comps="gcc cl" ;;
    15301590  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    1531   *)         comps="xlc cc gcc pgcc icc" ;;
     1591  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
    15321592esac
    15331593
    15341594# We delete the cached value, since the test might not have been
    15351595# performed with out choise of compilers earlier
    1536 ac_cv_prog_CC=
     1596$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
    15371597ac_ext=c
    15381598ac_cpp='$CPP $CPPFLAGS'
     
    22502310CFLAGS="$save_cflags"
    22512311
    2252 echo "$as_me:$LINENO: checking for C compiler options" >&5
    2253 echo $ECHO_N "checking for C compiler options... $ECHO_C" >&6
    2254 if test "${coin_cv_cflags+set}" = set; then
    2255   echo $ECHO_N "(cached) $ECHO_C" >&6
    2256 else
    2257   if test x"$CFLAGS" = x; then
     2312# Check if a project specific CFLAGS variable has been set
     2313if test x$COIN_PRJCT != x; then
     2314  eval coin_tmp=\${${COIN_PRJCT}_CFLAGS+set}
     2315  if test x$coin_tmp = xset; then
     2316    eval CFLAGS=\${${COIN_PRJCT}_CFLAGS}
     2317  fi
     2318fi
     2319
     2320if test x"$CFLAGS" = x; then
    22582321
    22592322  coin_add_cflags=
     
    24282491  fi
    24292492
    2430   if test "$coin_debug_compile" = "true"; then
    2431     CFLAGS="$coin_dbg_cflags $coin_add_cflags $CDEFS $coin_warn_cflags"
    2432   else
    2433     if test -z "$coin_opt_cflags"; then
    2434       # Try if -O option works if nothing else is set
    2435       CFLAGS="-O"
    2436       cat >conftest.$ac_ext <<_ACEOF
     2493  if test -z "$coin_opt_cflags"; then
     2494    # Try if -O option works if nothing else is set
     2495    CFLAGS="-O"
     2496    cat >conftest.$ac_ext <<_ACEOF
    24372497/* confdefs.h.  */
    24382498_ACEOF
     
    24792539rm -f conftest.err conftest.$ac_objext \
    24802540      conftest$ac_exeext conftest.$ac_ext
    2481     fi
    2482     CFLAGS="$coin_opt_cflags $coin_add_cflags -DNDEBUG $CDEFS $coin_warn_cflags"
     2541  fi
     2542
     2543  if test x${DBG_CFLAGS+set} != xset; then
     2544    DBG_CFLAGS="$coin_dbg_cflags $coin_add_cflags $coin_warn_cflags"
     2545  fi
     2546  if test x${OPT_CFLAGS+set} != xset; then
     2547    OPT_CFLAGS="$coin_opt_cflags $coin_add_cflags -DNDEBUG $coin_warn_cflags"
     2548  fi
     2549
     2550  DBG_CFLAGS="$DBG_CFLAGS $ADD_CFLAGS $CDEFS"
     2551  OPT_CFLAGS="$OPT_CFLAGS $ADD_CFLAGS $CDEFS"
     2552
     2553  if test "$coin_debug_compile" = "true"; then
     2554    CFLAGS="$DBG_CFLAGS"
     2555  else
     2556    CFLAGS="$OPT_CFLAGS"
     2557  fi
     2558else
     2559  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     2560  if test x${DBG_CFLAGS+set} != xset; then
     2561    DBG_CFLAGS="$CFLAGS"
     2562  fi
     2563  if test x${OPT_CFLAGS+set} != xset; then
     2564    OPT_CFLAGS="$CFLAGS"
    24832565  fi
    24842566fi
     
    24912573
    24922574# Try if CFLAGS works
     2575save_CFLAGS="$CFLAGS"
    24932576cat >conftest.$ac_ext <<_ACEOF
    24942577/* confdefs.h.  */
     
    25382621      conftest$ac_exeext conftest.$ac_ext
    25392622if test -z "$CFLAGS"; then
    2540   { echo "$as_me:$LINENO: WARNING: The value CFLAGS=\"$CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&5
    2541 echo "$as_me: WARNING: The value CFLAGS=\"$CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&2;}
     2623  { echo "$as_me:$LINENO: WARNING: The value CFLAGS=\"$save_CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&5
     2624echo "$as_me: WARNING: The value CFLAGS=\"$save_CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&2;}
    25422625  CFLAGS='-O'
    25432626  cat >conftest.$ac_ext <<_ACEOF
     
    25922675  fi
    25932676fi
    2594 coin_cv_cflags="$CFLAGS"
    2595 
    2596 fi
    2597 echo "$as_me:$LINENO: result: $coin_cv_cflags" >&5
    2598 echo "${ECHO_T}$coin_cv_cflags" >&6 # AC_CACHE_CHECK([for C compiler options CXXFLAGS]
    2599 CFLAGS="$coin_cv_cflags"
     2677
     2678{ echo "$as_me:$LINENO: C compiler options are: $CFLAGS" >&5
     2679echo "$as_me: C compiler options are: $CFLAGS" >&6;}
    26002680
    26012681
     
    38593939Usually this means the macro was only invoked conditionally." >&5
    38603940echo "$as_me: error: conditional \"ALWAYS_FALSE\" was never defined.
    3861 Usually this means the macro was only invoked conditionally." >&2;}
    3862    { (exit 1); exit 1; }; }
    3863 fi
    3864 if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    3865   { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
    3866 Usually this means the macro was only invoked conditionally." >&5
    3867 echo "$as_me: error: conditional \"COIN_DEBUG\" was never defined.
    38683941Usually this means the macro was only invoked conditionally." >&2;}
    38693942   { (exit 1); exit 1; }; }
     
    44384511s,@build_vendor@,$build_vendor,;t t
    44394512s,@build_os@,$build_os,;t t
    4440 s,@COIN_DEBUG_TRUE@,$COIN_DEBUG_TRUE,;t t
    4441 s,@COIN_DEBUG_FALSE@,$COIN_DEBUG_FALSE,;t t
    44424513s,@EGREP@,$EGREP,;t t
    44434514s,@LN_S@,$LN_S,;t t
    44444515s,@CDEFS@,$CDEFS,;t t
     4516s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     4517s,@DBG_CFLAGS@,$DBG_CFLAGS,;t t
     4518s,@OPT_CFLAGS@,$OPT_CFLAGS,;t t
    44454519s,@CC@,$CC,;t t
    44464520s,@CFLAGS@,$CFLAGS,;t t
     
    44504524s,@EXEEXT@,$EXEEXT,;t t
    44514525s,@OBJEXT@,$OBJEXT,;t t
    4452 s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
    44534526s,@MPICC@,$MPICC,;t t
    44544527s,@INSTALL_PROGRAM@,$INSTALL_PROGRAM,;t t
  • ThirdParty/ASL/trunk/configure.ac

    r76 r91  
    4141
    4242# Check if user wants to produce debugging code
    43 AC_COIN_DEBUG_COMPILE
     43AC_COIN_DEBUG_COMPILE(ASL)
    4444
    4545# We need egrep and ln -s somewhere
Note: See TracChangeset for help on using the changeset viewer.